weka.core.pmml.jaxbbindings

## Class ROC

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ROC

-     public class ROC
      extends java.lang.Object

  Java class for ROC element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ROC">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ROCGraph"/>
               </sequence>
               <attribute name="negativeTargetFieldDisplayValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="negativeTargetFieldValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="positiveTargetFieldDisplayValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="positiveTargetFieldValue" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROC()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getNegativeTargetFieldDisplayValue()` Gets the value of the negativeTargetFieldDisplayValue property.
    `java.lang.String` | `getNegativeTargetFieldValue()` Gets the value of the negativeTargetFieldValue property.
    `java.lang.String` | `getPositiveTargetFieldDisplayValue()` Gets the value of the positiveTargetFieldDisplayValue property.
    `java.lang.String` | `getPositiveTargetFieldValue()` Gets the value of the positiveTargetFieldValue property.
    `ROCGraph` | `getROCGraph()` Gets the value of the rocGraph property.
    `void` | `setNegativeTargetFieldDisplayValue(java.lang.String value)` Sets the value of the negativeTargetFieldDisplayValue property.
    `void` | `setNegativeTargetFieldValue(java.lang.String value)` Sets the value of the negativeTargetFieldValue property.
    `void` | `setPositiveTargetFieldDisplayValue(java.lang.String value)` Sets the value of the positiveTargetFieldDisplayValue property.
    `void` | `setPositiveTargetFieldValue(java.lang.String value)` Sets the value of the positiveTargetFieldValue property.
    `void` | `setROCGraph(ROCGraph value)` Sets the value of the rocGraph property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ROC

          public ROC()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getROCGraph

          public ROCGraph getROCGraph()

      Gets the value of the rocGraph property.
      Returns:
        possible object is `ROCGraph`

    - #### setROCGraph

          public void setROCGraph(ROCGraph value)

      Sets the value of the rocGraph property.
      Parameters:
        `value` - allowed object is `ROCGraph`

    - #### getNegativeTargetFieldDisplayValue

          public java.lang.String getNegativeTargetFieldDisplayValue()

      Gets the value of the negativeTargetFieldDisplayValue property.
      Returns:
        possible object is `String`

    - #### setNegativeTargetFieldDisplayValue

          public void setNegativeTargetFieldDisplayValue(java.lang.String value)

      Sets the value of the negativeTargetFieldDisplayValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNegativeTargetFieldValue

          public java.lang.String getNegativeTargetFieldValue()

      Gets the value of the negativeTargetFieldValue property.
      Returns:
        possible object is `String`

    - #### setNegativeTargetFieldValue

          public void setNegativeTargetFieldValue(java.lang.String value)

      Sets the value of the negativeTargetFieldValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPositiveTargetFieldDisplayValue

          public java.lang.String getPositiveTargetFieldDisplayValue()

      Gets the value of the positiveTargetFieldDisplayValue property.
      Returns:
        possible object is `String`

    - #### setPositiveTargetFieldDisplayValue

          public void setPositiveTargetFieldDisplayValue(java.lang.String value)

      Sets the value of the positiveTargetFieldDisplayValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPositiveTargetFieldValue

          public java.lang.String getPositiveTargetFieldValue()

      Gets the value of the positiveTargetFieldValue property.
      Returns:
        possible object is `String`

    - #### setPositiveTargetFieldValue

          public void setPositiveTargetFieldValue(java.lang.String value)

      Sets the value of the positiveTargetFieldValue property.
      Parameters:
        `value` - allowed object is `String`